package gov.va.med.esr.messaging.builder.message;

import gov.va.med.fw.hl7.builder.HL7MetaData;
import gov.va.med.fw.model.AbstractEntity;

public class QPDMetaData extends HL7MetaData {
    

    /**
    * An instance of serialVersionUID 
    */
   private static final long serialVersionUID = -3748212690244917807L;
   private String id = null;
    private String dfn = null;
    private String eventType = null;
    private String comment = null;
    private String icn = null;
    
    /**
     * Constructor that takes entity object to build a segment.
     * 
     * @param entity
     *           The entity that is source of segment data.
     */
    public QPDMetaData (AbstractEntity entity) {
        super(entity);
    }
    
    
    /**
     * @return Returns the id.
     */
    /*public String getId()
    {
        return id;
    }*/
    /**
     * @param id The id to set.
     */
    /*public void setId(String id)
    {
        this.id = id;
    }*/
    /**
     * @return Returns the dfn.
     */
    public String getDfn()
    {
        return dfn;
    }
    /**
     * @param dfn The dfn to set.
     */
    public void setDfn(String dfn)
    {
        this.dfn = dfn;
    }
    /**
     * @return Returns the eventType.
     */
    public String getEventType()
    {
        return eventType;
    }
    /**
     * @param eventType The eventType to set.
     */
    public void setEventType(String eventType)
    {
        this.eventType = eventType;
    }
    /**
     * Return the comment.
     * 
     * @return The comment.
     */
    public String getComment() {
        return this.comment;
    }
    
    /**
     * Set the comment.
     * 
     * @param comment
     *          The comment to set.
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    
    /**
     * Return the ICN.
     * 
     * @return The ICN.
     */
    public String getIcn() {
        return this.icn;
    }
    
    /**
     * Set the ICN.
     * 
     * @param icn
     *          The ICN to set.
     */
    public void setIcn(String icn) {
        this.icn = icn;
    }


}
